from ..report_element import CustomReportElement


class DisableXlsLayoutFieldsPreparer(CustomReportElement):
    """Removes fields from the layout only in XLS exports."""

    def __init__(self):
        """Creates a DisableXlsLayoutFieldsPreparer."""
        super().__init__(name="disable_xls_layout_fields")
